Loading...
Searching...
No Matches
validators.hpp File Reference

Provides some standard validators for (positional) options. More...

`#include <algorithm>`
`#include <concepts>`
`#include <exception>`
`#include <filesystem>`
`#include <fstream>`
`#include <ranges>`
`#include <regex>`
`#include <sstream>`
`#include <seqan3/argument_parser/exceptions.hpp>`
`#include <seqan3/core/debug_stream/detail/to_string.hpp>`
`#include <seqan3/core/debug_stream/range.hpp>`
`#include <seqan3/io/detail/misc.hpp>`
`#include <seqan3/io/detail/safe_filesystem_entry.hpp>`
`#include <seqan3/utility/concept.hpp>`
`#include <seqan3/utility/type_list/traits.hpp>`
`#include <seqan3/utility/type_pack/traits.hpp>`
`#include <seqan3/utility/type_traits/basic.hpp>`
`#include <seqan3/utility/views/join_with.hpp>`
Include dependency graph for validators.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::arithmetic_range_validator< option_value_t >
| A validator that checks whether a number is inside a given range. More...
class | seqan3::file_validator_base
| An abstract base class for the file and directory validators. More...
class | seqan3::input_directory_validator
| A validator that checks if a given path is a valid input directory. More...
class | seqan3::input_file_validator< file_t >
| A validator that checks if a given path is a valid input file. More...
class | seqan3::output_directory_validator
| A validator that checks if a given path is a valid output directory. More...
class | seqan3::output_file_validator< file_t >
| A validator that checks if a given path is a valid output file. More...
class | seqan3::regex_validator
| A validator that checks if a matches a regular expression pattern. More...
class | seqan3::value_list_validator< option_value_t >
| A validator that checks whether a value is inside a list of valid values. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Enumerations

enum class | seqan3::output_file_open_options { seqan3::open_or_create , seqan3::create_new }
| Mode of an output file: Determines whether an existing file can be (silently) overwritten. More...

## Functions

template<validator validator1_type, validator validator2_type> requires std::common_with<typename std::remove_reference_t<validator1_type>::option_value_type, typename std::remove_reference_t<validator2_type>::option_value_type>
auto | seqan3::operator| (validator1_type &&vali1, validator2_type &&vali2)
| Enables the chaining of validators.

## Detailed Description

Provides some standard validators for (positional) options.

Author
  Svenja Mehringer <svenja.mehringer AT fu-berlin.de>

Hide me